Summary:	FLIF image format plugin for Qt5
Name:		flif-imageformat-qt5
Version:	1.2
Release:	1%{?dist}
License:	GPLv2+
URL:		http://vr5.narod.ru/flif
Source0:	flif-imageformat-qt5-1.0.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	qt5-qtbase-gui libflif xdg-utils
BuildRequires:	qt5-qtbase-devel libflif

%define debug_package %{nil}

%description 
FLIF image format plugin for Qt provides read-only access to FLIF images (they can be opened via QImage class, for example)

%prep
%setup -c -n %{name}

%build
cd flif-imageformat-qt5
qmake-qt5
make

%install 
install -D flif-imageformat-qt5/libflif.so $RPM_BUILD_ROOT%{_libdir}/qt5/plugins/imageformats/libflif.so
install -D flif-imageformat-qt5/flif.desktop $RPM_BUILD_ROOT/usr/share/kservices5/qimageioplugins/flif.desktop
install -D flif-imageformat-qt5/xdg-flif.xml %{buildroot}/usr/share/%{name}-%{version}/xdg-flif.xml

%post
xdg-mime install /usr/share/%{name}-%{version}/xdg-flif.xml

%files 
%defattr(0644,root,root)
%attr(0755,root,root) %{_libdir}/qt5/plugins/imageformats/libflif.so
/usr/share/kservices5/qimageioplugins/flif.desktop
/usr/share/%{name}-%{version}/xdg-flif.xml

%clean 
rm -rf %{buildroot}

%changelog 
*Tue Nov 24 2015 Vad Rulezz <vr5@yandex.ru> - 1.0
- Initial Package of flif-imageformat-qt
